CREATE TABLE [dbo].[TickerData]
(
    [TickerId] INT NOT NULL, 
    [TickerTime] datetime2 NOT NULL, 
    [TickState] INT NOT NULL DEFAULT 0, 
	[Interval] NCHAR(1) NOT NULL DEFAULT 'M', 
    [Open] DECIMAL(18, 10) NULL, 
    [High] DECIMAL(18, 10) NULL, 
    [Close] DECIMAL(18, 10) NULL, 
    [Low] DECIMAL(18, 10) NULL, 
    [Volume] DECIMAL(18, 10) NULL,
	CONSTRAINT [PK_TickerData] PRIMARY KEY CLUSTERED ([TickerId] ASC, [Interval] ASC, [TickerTime] ASC)
)
